# eric4.E4XML.HighlightingStylesWriter

Module implementing the writer class for writing a highlighting styles XML file.

### Global Attributes

None

### Classes

HighlightingStylesWriter | Class implementing the writer class for writing a highlighting styles XML file.

### Functions

None

## HighlightingStylesWriter

Class implementing the writer class for writing a highlighting styles XML file.

### Derived from

XMLWriterBase

### Class Attributes

None

### Class Methods

None

### Methods

HighlightingStylesWriter | Constructor
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### HighlightingStylesWriter (Constructor)

HighlightingStylesWriter(file, lexers)

Constructor

file
  open file (like) object for writing
lexers
  list of lexer objects for which to export the styles

#### HighlightingStylesWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up